/ cat / assign
Assignments
Syntax

    Destination = Expression

Assigns the value of an expression to one of the following elements:

- A local variable.
- A function parameter.
- A global or a class variable.
- An array slot.
- An object public variable.
- An object property.

Some instructions that return something may use the assignment syntax too: `EXEC`, `NEW`, `OPEN`, `RAISE`, `SHELL`.

### Examples

    iVal = 1972
    Name = "[/def/gambas]"
    hObject.Property = iVal
    cCollection[sKey] = Name
    ...

### See also

Assignment Operators EXEC NEW OPEN RAISE SHELL